[arch-commits] Commit in pekwm/trunk (PKGBUILD libpng-1.4.patch)

Eric Bélanger eric at archlinux.org
Fri Jan 22 02:17:20 EST 2010


    Date: Friday, January 22, 2010 @ 02:17:20
  Author: eric
Revision: 64776

upgpkg: pekwm 0.1.11-2
    Rebuilt for libpng 1.4 and libjpeg 8

Added:
  pekwm/trunk/libpng-1.4.patch
Modified:
  pekwm/trunk/PKGBUILD

------------------+
 PKGBUILD         |   20 +++++++++++++++-----
 libpng-1.4.patch |   21 +++++++++++++++++++++
 2 files changed, 36 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-22 07:03:17 UTC (rev 64775)
+++ PKGBUILD	2010-01-22 07:17:20 UTC (rev 64776)
@@ -4,20 +4,30 @@
 
 pkgname=pekwm
 pkgver=0.1.11
-pkgrel=1
+pkgrel=2
 pkgdesc="A small, fast, functional, and flexible window manager"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://pekwm.org/"
-source=(http://pekwm.org/projects/3/files/${pkgname}-${pkgver}.tar.bz2
-pekwm.desktop)
 depends=('gcc-libs' 'libjpeg>=7' 'libpng' 'libxft' 'libxinerama' 'libxpm'
 'libxrandr')
-md5sums=('79df6d01c48e6eb1907dcd3a8246410c' '5a78fc6653fbb0b7282ecf7f1f81e2c5')
+backup=(etc/pekwm/config
+  etc/pekwm/vars
+  etc/pekwm/autoproperties
+  etc/pekwm/start
+  etc/pekwm/keys
+  etc/pekwm/mouse
+  etc/pekwm/menu)
+source=(http://pekwm.org/projects/3/files/${pkgname}-${pkgver}.tar.bz2
+pekwm.desktop libpng-1.4.patch)
+md5sums=('79df6d01c48e6eb1907dcd3a8246410c' '5a78fc6653fbb0b7282ecf7f1f81e2c5'\
+         '075bf1b9d32bf94780329499e4fa40e3')
+sha1sums=('28cfa30cfc046440f6e5924214959f8647bc0a9d' '1e23c54b3ba2f4f454a15a390cd869743f498167'\
+         'f06f8f9976c391a09d53e9cc0e55a758fb9cd687')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
-	
+  patch -p1 < ../libpng-1.4.patch || return 1
   # Default settings:
   #    --enable-shape --enable-xinerama --enable-menus \
   #    --enable-harbour --disable-debug --disable-pedantic \

Added: libpng-1.4.patch
===================================================================
--- libpng-1.4.patch	                        (rev 0)
+++ libpng-1.4.patch	2010-01-22 07:17:20 UTC (rev 64776)
@@ -0,0 +1,21 @@
+diff -Naur pekwm-0.1.11-orig/src/PImageLoaderPng.cc pekwm-0.1.11/src/PImageLoaderPng.cc
+--- pekwm-0.1.11-orig/src/PImageLoaderPng.cc	2010-01-22 01:57:08.000000000 -0500
++++ pekwm-0.1.11/src/PImageLoaderPng.cc	2010-01-22 02:00:02.000000000 -0500
+@@ -108,7 +108,7 @@
+     
+     // gray -> 8 bit gray
+     if (color_type == PNG_COLOR_TYPE_GRAY && (bpp < 8)) {
+-        png_set_gray_1_2_4_to_8(png_ptr);
++        png_set_expand_gray_1_2_4_to_8(png_ptr);
+     }
+ 
+     if (png_get_valid(png_ptr, info_ptr, PNG_INFO_tRNS)) {
+@@ -179,7 +179,7 @@
+ 
+     status = fread(sig, 1, PImageLoaderPng::PNG_SIG_BYTES, fp);
+     if (status == PImageLoaderPng::PNG_SIG_BYTES) {
+-        return (png_check_sig(sig, PImageLoaderPng::PNG_SIG_BYTES) != 0);
++      return (png_sig_cmp(sig, 0, PImageLoaderPng::PNG_SIG_BYTES) == 0);
+     }
+     return false;
+ }



More information about the arch-commits mailing list